Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.ssinhistory.service.impl
Class SsinHistoryTokenServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.ssinhistory.service.impl.SsinHistoryTokenServiceImpl

All Implemented Interfaces:
  SsinHistoryTokenService

    public class SsinHistoryTokenServiceImpl

extends Object
implements SsinHistoryTokenService

Implementation for the `SsinHistoryTokenService` interface.

Constructor Summary
`SsinHistoryTokenServiceImpl(SessionValidator sessVal, EhealthReplyValidator ehRepVal)` Creates a new SsinHistoryServiceImpl

Method Summary
`ConsultCurrentSsinResponse` | `consultCurrentSsin(SAMLToken token, ConsultCurrentSsinRequest request)`
`ConsultRelatedSsinsResponse` | `consultRelatedSsins(SAMLToken token, ConsultRelatedSsinsRequest request)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SsinHistoryTokenServiceImpl

    public SsinHistoryTokenServiceImpl(SessionValidator sessVal,
                                       EhealthReplyValidator ehRepVal)
                                throws TechnicalConnectorException

  Creates a new SsinHistoryServiceImpl

  Throws:
    `TechnicalConnectorException`

Method Detail

### consultRelatedSsins

    public ConsultRelatedSsinsResponse consultRelatedSsins(SAMLToken token,
                                                           ConsultRelatedSsinsRequest request)
                                                    throws TechnicalConnectorException

  Specified by:
    `consultRelatedSsins` in interface `SsinHistoryTokenService`
  Returns:
  Throws:
    `TechnicalConnectorException`

### consultCurrentSsin

    public ConsultCurrentSsinResponse consultCurrentSsin(SAMLToken token,
                                                         ConsultCurrentSsinRequest request)
                                                  throws TechnicalConnectorException

  Specified by:
    `consultCurrentSsin` in interface `SsinHistoryTokenService`
  Returns:
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.